<?php

require_once('../../FX/FX.php');

$name = '';
$title = '';
$date = '';
$hero = '';
$begin = '';
$end = '';

// get user data corresponding to user selection
$PersonQuery = new FX('192.168.2.3', '80', 'FMPro7');
$PersonQuery->SetDBData('INT014', 'Main');
$PersonQuery->SetDBUserPass('Admin', '');
$PersonQuery->AddDBParam('-recid', $_GET['RID']);
$PersonData = $PersonQuery->DoFXAction('perform_find');

if (FX::isError($PersonData)) {
    $name = 'System Error';
} elseif ($PersonQuery->lastErrorCode != 0) {
    $name = 'FileMaker Error ({$PersonQuery->lastErrorCode})';
} else {
    $PersonData = each($PersonData);
    $name = $PersonData['value']['Name'];
    $title = $PersonData['value']['Title'];
    $date = $PersonData['value']['Date_Main'];
    $hero = $PersonData['value']['Hero'];
    $begin = $PersonData['value']['Range_Begin'];
    $end = $PersonData['value']['Range_End'];
}

echo "{$_GET['callback']}(tempPerson={'name': '{$name}', 'title': '{$title}', 'date': '{$date}', 'hero': '{$hero}', 'begin': '{$begin}', 'end': '{$end}' })";

?>