<?php

require_once('../../FX/FX.php');

$nameList = '';

// query for layout objects (we'll use a value list for typeahead)
$PersonQuery = new FX('192.168.2.3', '80', 'FMPro7');
$PersonQuery->SetDBData('INT014', 'Main');
$PersonQuery->SetDBUserPass('Admin', '');
$PersonData = $PersonQuery->DoFXAction('view_layout_objects');

if (FX::isError($PersonData)) {
    $nameList = '"System Error"';
} elseif ($PersonQuery->lastErrorCode != 0) {
    $nameList = '"FileMaker Error ({$PersonQuery->lastErrorCode})"';
} else {
    foreach ($PersonQuery->lastValueLists['Character Names'] as $value) {
        if (strlen(trim($nameList)) > 0) {
            $nameList .= ', ';
        }
        $nameList .= "'{$value}'";
    }
}

echo "{$_GET['callback']}(nameList=[{$nameList}])";

?>