<?php

require_once('../../FX/FX.php');

$reportsList = '';
$ind = '            ';

// pull up and display the desired portal data...
$PersonQuery = new FX('192.168.2.3', '80', 'FMPro7');
$PersonQuery->SetDBData('INT014', 'Main');
$PersonQuery->SetDBUserPass('Admin', '');
$PersonQuery->AddDBParam('-recid', $_GET['RID']);
$PersonData = $PersonQuery->DoFXAction('perform_find', true, true);

if (FX::isError($PersonData)) {
    $reportsList = "{$ind}<li class='ui-state-default'><span class='ui-icon ui-icon-arrowthick-2-n-s'></span>System Error Occurred</li>\n";
} elseif ($PersonQuery->lastErrorCode != 0) {
    $reportsList = "{$ind}<li class='ui-state-default'><span class='ui-icon ui-icon-arrowthick-2-n-s'></span>FileMaker Error ({$PersonQuery->lastErrorCode})</li>\n";
} else {
    $PersonData = each($PersonData);
    foreach ($PersonData[1]['Child_Table::RecID'] as $key => $value) {
        $reportsList .= "{$ind}<li id='rec_{$value}' class='ui-state-default'><span class='ui-icon ui-icon-arrowthick-2-n-s'></span><input type='hidden' name='crid_{$value}' id='crid_{$value}' value='{$value}' /><input type='hidden' name='order_{$value}' id='order_{$value}' value='{$PersonData[1]['Child_Table::Num01'][$key]}' />{$PersonData[1]['Child_Table::Text01'][$key]}</li>\n";
    }
}

?>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
        <title>Reports Sort</title>
        <link type="text/css" href="css/trontastic/jquery-ui-1.8.1.custom.css" rel="stylesheet" />    
        <style type="text/css">
            #sortable { list-style-type: none; margin: 0; padding: 0; }
            #sortable li { margin: 0 3px 3px 3px; padding: 8px; padding-left: 30px; font-size: 20px; height: 18px; }
            #sortable li span { position: absolute; margin-left: -20px; }
        </style>
        <script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
        <script type="text/javascript" src="js/jquery-ui-1.8.1.custom.min.js"></script>
        <script type="text/javascript">
            $(function() {
                $("#sortable").sortable({
                    stop: function (event, ui) {
                        var query = { 'rid': <?php echo $_GET["RID"]; ?> };
                        for (var i = 1; i <= $("li").length; ++i) {
                            if ($('input:eq(' + (((i - 1) * 2) + 1) + ')').val() != i) {
                                $('input:eq(' + (((i - 1) * 2) + 1) + ')').val(i);
                                query['child_' + $('input:eq(' + ((i - 1) * 2) + ')').val()] = i;
                            }
                        }
                        $.post('process_sort.php', query, function (data) { /* alert(data) */ });
                    }
                });
                $("#sortable").disableSelection();
            });
        </script>
    </head>
    <body>
        <ul id="sortable">
<?php echo $reportsList; ?>

        </ul>
    </body>
</html>