<?php

require_once('../../FX/FX.php');

$ind = '                            ';
$tableRowData = '';
$formFields = array(
    'indName' => 'Name',
    'indTitle' => 'Title',
    'indDate' => 'Date_Main',
    'indHero' => 'Hero',
    'indStart' => 'Range_Begin',
    'indEnd' => 'Range_End'
);

// this query handles both the pulling up of the complete list, and pulling up a single record
$PersonQuery = new FX('192.168.2.3', '80', 'FMPro7');
$PersonQuery->SetDBData('INT014', 'Main', 'all');
$PersonQuery->SetDBUserPass('Admin', '');
if (isset($_GET['RID'])) {
    $PersonQuery->AddDBParam('-recid', $_GET['RID']);
    $PersonQuery->AddDBParam($formFields[$_GET['FN']], $_GET['FV']);
    $PersonData = $PersonQuery->DoFXAction('update');
} else {
    $PersonData = $PersonQuery->DoFXAction('show_all');
}
if (FX::isError($PersonData)) {
    $tableRowData = "{$ind}<tr>\n{$ind}    <td colspan='3' align='center'>System Error Occurred</td>\n{$ind}</tr>\n";
} elseif ($PersonQuery->lastErrorCode != 0) {
    $tableRowData = "{$ind}<tr>\n{$ind}    <td colspan='3' align='center'>FileMaker Error Occurred ({$PersonQuery->lastErrorCode})</td>\n{$ind}</tr>\n";
} else {
    foreach ($PersonData as $key => $value) {
        $rid = floor($key);
        $tableRowData .= "{$ind}<tr id='row_{$rid}'>\n";
        $tableRowData .= "{$ind}    <td class='dataCell'><button class='editButton' onclick='editRecord({$rid})'>Edit this Person</button></td>\n";
        $tableRowData .= "{$ind}    <td class='dataCell'>{$value['Name']}</td>\n";
        $tableRowData .= "{$ind}    <td class='dataCell'>{$value['Title']}</td>\n";
        $tableRowData .= "{$ind}</tr>\n";
    }
}

echo $tableRowData;

?>